Package org.eclipse.rdf4j.sail.lucene

## Class AbstractLuceneSailGeoSPARQLTest

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.AbstractLuceneSailGeoSPARQLTest

-     public abstract class AbstractLuceneSailGeoSPARQLTest
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Literal` | `ARC_TRIOMPHE` |
    `static IRI` | `CONTEXT_1` |
    `static IRI` | `CONTEXT_2` |
    `static IRI` | `CONTEXT_3` |
    `static Literal` | `EIFFEL_TOWER` |
    `static Literal` | `NOTRE_DAME` |
    `static Literal` | `POLY1` |
    `static Literal` | `POLY2` |
    `protected Repository` | `repository` |
    `protected LuceneSail` | `sail` |
    `static IRI` | `SUBJECT_1` |
    `static IRI` | `SUBJECT_2` |
    `static IRI` | `SUBJECT_3` |
    `static IRI` | `SUBJECT_4` |
    `static IRI` | `SUBJECT_5` |
    `static Literal` | `TEST_POINT` |
    `static Literal` | `TEST_POLY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractLuceneSailGeoSPARQLTest()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `checkPoints()` |
    `protected void` | `checkPolygons()` |
    `protected abstract void` | `configure​(LuceneSail sail)` |
    `protected void` | `loadPoints()` |
    `protected void` | `loadPolygons()` |
    `void` | `setUp()` |
    `void` | `tearDown()` |
    `void` | `testComplexDistanceQuery()` |
    `void` | `testComplexDistanceQueryMathExpr()` |
    `void` | `testComplexIntersectionQuery()` |
    `void` | `testDistanceQuery()` |
    `void` | `testIntersectionQuery()` |
    `void` | `testTriplesStored()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUBJECT_1

          public static final IRI SUBJECT_1

    - #### SUBJECT_2

          public static final IRI SUBJECT_2

    - #### SUBJECT_3

          public static final IRI SUBJECT_3

    - #### SUBJECT_4

          public static final IRI SUBJECT_4

    - #### SUBJECT_5

          public static final IRI SUBJECT_5

    - #### CONTEXT_1

          public static final IRI CONTEXT_1

    - #### CONTEXT_2

          public static final IRI CONTEXT_2

    - #### CONTEXT_3

          public static final IRI CONTEXT_3

    - #### EIFFEL_TOWER

          public static final Literal EIFFEL_TOWER

    - #### ARC_TRIOMPHE

          public static final Literal ARC_TRIOMPHE

    - #### NOTRE_DAME

          public static final Literal NOTRE_DAME

    - #### POLY1

          public static final Literal POLY1

    - #### POLY2

          public static final Literal POLY2

    - #### TEST_POINT

          public static final Literal TEST_POINT

    - #### TEST_POLY

          public static final Literal TEST_POLY

    - #### sail

          protected LuceneSail sail

    - #### repository

          protected Repository repository

  - ### Constructor Detail

    - #### AbstractLuceneSailGeoSPARQLTest

          public AbstractLuceneSailGeoSPARQLTest()

  - ### Method Detail

    - #### configure

          protected abstract void configure​(LuceneSail sail)
                                     throws IOException

      Throws:
        `IOException`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### loadPoints

          protected void loadPoints()

    - #### loadPolygons

          protected void loadPolygons()

    - #### tearDown

          public void tearDown()
                        throws IOException,
                               RepositoryException

      Throws:
        `IOException`
        `RepositoryException`

    - #### testTriplesStored

          public void testTriplesStored()
                                 throws Exception

      Throws:
        `Exception`

    - #### checkPoints

          protected void checkPoints()
                              throws RepositoryException

      Throws:
        `RepositoryException`

    - #### checkPolygons

          protected void checkPolygons()
                                throws RepositoryException

      Throws:
        `RepositoryException`

    - #### testDistanceQuery

          public void testDistanceQuery()
                                 throws RepositoryException,
                                        MalformedQueryException,
                                        QueryEvaluationException

      Throws:
        `RepositoryException`
        `MalformedQueryException`
        `QueryEvaluationException`

    - #### testComplexDistanceQuery

          public void testComplexDistanceQuery()
                                        throws RepositoryException,
                                               MalformedQueryException,
                                               QueryEvaluationException

      Throws:
        `RepositoryException`
        `MalformedQueryException`
        `QueryEvaluationException`

    - #### testComplexDistanceQueryMathExpr

          public void testComplexDistanceQueryMathExpr()
                                                throws RepositoryException,
                                                       MalformedQueryException,
                                                       QueryEvaluationException

      Throws:
        `RepositoryException`
        `MalformedQueryException`
        `QueryEvaluationException`

    - #### testIntersectionQuery

          public void testIntersectionQuery()
                                     throws RepositoryException,
                                            MalformedQueryException,
                                            QueryEvaluationException

      Throws:
        `RepositoryException`
        `MalformedQueryException`
        `QueryEvaluationException`

    - #### testComplexIntersectionQuery

          public void testComplexIntersectionQuery()
                                            throws RepositoryException,
                                                   MalformedQueryException,
                                                   QueryEvaluationException

      Throws:
        `RepositoryException`
        `MalformedQueryException`
        `QueryEvaluationException`